-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               5.1.33-community - MySQL Community Server (GPL)
-- Server OS:                    Win32
-- HeidiSQL version:             7.0.0.4053
-- Date/time:                    2012-08-21 15:16:48
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET FOREIGN_KEY_CHECKS=0 */;

-- Dumping structure for table test1.admins
DROP TABLE IF EXISTS `admins`;
CREATE TABLE IF NOT EXISTS `admins` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `personal_code` int(10) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `familly` varchar(30) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` varchar(100) DEFAULT NULL,
  `mobile` varchar(15) DEFAULT NULL,
  `semat` tinyint(50) DEFAULT NULL,
  `picture` longtext,
  PRIMARY KEY (`personal_code`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.class_rooms
DROP TABLE IF EXISTS `class_rooms`;
CREATE TABLE IF NOT EXISTS `class_rooms` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `class_code` int(10) unsigned NOT NULL,
  `name` varchar(30) NOT NULL,
  `maghta` int(10) DEFAULT NULL,
  PRIMARY KEY (`class_code`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.config
DROP TABLE IF EXISTS `config`;
CREATE TABLE IF NOT EXISTS `config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `conf_name` varchar(50) NOT NULL,
  `conf_value` varchar(50) NOT NULL,
  `extra_par1` varchar(50) DEFAULT NULL,
  `extra_par2` varchar(50) DEFAULT NULL,
  `extra_par3` varchar(50) DEFAULT NULL,
  `extra_par4` varchar(50) DEFAULT NULL,
  `extra_par5` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.enzebat
DROP TABLE IF EXISTS `enzebat`;
CREATE TABLE IF NOT EXISTS `enzebat` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `st_code` bigint(20) unsigned NOT NULL,
  `date` date NOT NULL,
  `desc` text NOT NULL,
  `sender` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_enzebat_students` (`st_code`),
  CONSTRAINT `FK_enzebat_students` FOREIGN KEY (`st_code`) REFERENCES `students` (`personal_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.exams
DROP TABLE IF EXISTS `exams`;
CREATE TABLE IF NOT EXISTS `exams` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `st_code` int(10) DEFAULT NULL,
  `lesson_id` int(10) unsigned DEFAULT NULL,
  `ask1` text COLLATE utf8_persian_ci,
  `ask2` text COLLATE utf8_persian_ci,
  `about_exam_desc` text COLLATE utf8_persian_ci,
  `ask3` text COLLATE utf8_persian_ci,
  `ask4` text COLLATE utf8_persian_ci,
  `ask5` text COLLATE utf8_persian_ci,
  `ask6` text COLLATE utf8_persian_ci,
  `ask7` text COLLATE utf8_persian_ci,
  `ask8` text COLLATE utf8_persian_ci,
  `ask9` text COLLATE utf8_persian_ci,
  `ask10` text COLLATE utf8_persian_ci,
  `ans1` text COLLATE utf8_persian_ci,
  `ans2` text COLLATE utf8_persian_ci,
  `ans3` text COLLATE utf8_persian_ci,
  `ans4` text COLLATE utf8_persian_ci,
  `ans5` text COLLATE utf8_persian_ci,
  `ans6` text COLLATE utf8_persian_ci,
  `ans7` text COLLATE utf8_persian_ci,
  `ans8` text COLLATE utf8_persian_ci,
  `ans9` text COLLATE utf8_persian_ci,
  `ans10` text COLLATE utf8_persian_ci,
  `exam_date` date DEFAULT NULL,
  `send_date` date DEFAULT NULL,
  `name` varchar(50) COLLATE utf8_persian_ci DEFAULT NULL,
  `marks_id` int(11) DEFAULT NULL,
  `mark` int(11) DEFAULT NULL,
  `mark_description` text COLLATE utf8_persian_ci,
  `ansed` tinyint(4) DEFAULT '0',
  `time_stamp` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_exams_lessons` (`lesson_id`),
  CONSTRAINT `FK_exams_lessons` FOREIGN KEY (`lesson_id`) REFERENCES `lessons` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- Data exporting was unselected.


-- Dumping structure for table test1.final_marks
DROP TABLE IF EXISTS `final_marks`;
CREATE TABLE IF NOT EXISTS `final_marks` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `mark` float NOT NULL,
  `st_code` int(10) unsigned NOT NULL,
  `lesson_code` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_final_marks_students` (`st_code`),
  KEY `FK_final_marks_lessons` (`lesson_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.inbox
DROP TABLE IF EXISTS `inbox`;
CREATE TABLE IF NOT EXISTS `inbox` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `from` varchar(50) COLLATE utf8_persian_ci NOT NULL,
  `to` varchar(50) COLLATE utf8_persian_ci NOT NULL,
  `onvan` varchar(50) COLLATE utf8_persian_ci NOT NULL,
  `message` text COLLATE utf8_persian_ci NOT NULL,
  `date` date NOT NULL,
  `readed` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- Data exporting was unselected.


-- Dumping structure for table test1.karnames
DROP TABLE IF EXISTS `karnames`;
CREATE TABLE IF NOT EXISTS `karnames` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `maghta` text COLLATE utf8_persian_ci,
  `onvan` varchar(50) COLLATE utf8_persian_ci DEFAULT NULL,
  `mark_type` int(10) DEFAULT NULL,
  `until_date_time` date DEFAULT NULL,
  `from_date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- Data exporting was unselected.


-- Dumping structure for table test1.lessons
DROP TABLE IF EXISTS `lessons`;
CREATE TABLE IF NOT EXISTS `lessons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` int(10) unsigned NOT NULL,
  `fa_name` varchar(100) NOT NULL,
  `max_mark` float unsigned DEFAULT '20',
  `acceptable_mark` float unsigned DEFAULT '10',
  `units_count` tinyint(2) unsigned NOT NULL,
  PRIMARY KEY (`code`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.lesson_room_time
DROP TABLE IF EXISTS `lesson_room_time`;
CREATE TABLE IF NOT EXISTS `lesson_room_time` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `room_lesson_id` int(10) unsigned NOT NULL,
  `day_of_week` tinyint(2) unsigned NOT NULL,
  `zang` tinyint(2) unsigned NOT NULL,
  `fixed` tinyint(1) unsigned NOT NULL,
  `mo_af` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_lesson_room_time_room_lessons` (`room_lesson_id`),
  CONSTRAINT `FK_lesson_room_time_room_lessons` FOREIGN KEY (`room_lesson_id`) REFERENCES `room_lessons` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.mail_ip
DROP TABLE IF EXISTS `mail_ip`;
CREATE TABLE IF NOT EXISTS `mail_ip` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(20) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.marks
DROP TABLE IF EXISTS `marks`;
CREATE TABLE IF NOT EXISTS `marks` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `st_code` bigint(20) unsigned NOT NULL DEFAULT '0',
  `mark` float NOT NULL DEFAULT '0',
  `max_mark` int(10) DEFAULT '20',
  `room_lesson_id` int(10) unsigned NOT NULL DEFAULT '20',
  `date` date DEFAULT NULL,
  `description` varchar(250) COLLATE utf8_persian_ci DEFAULT NULL,
  `mark_type` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_marks_history_students` (`st_code`),
  KEY `FK_marks_room_lessons` (`room_lesson_id`),
  CONSTRAINT `FK_marks_history_students` FOREIGN KEY (`st_code`) REFERENCES `students` (`personal_code`),
  CONSTRAINT `FK_marks_room_lessons` FOREIGN KEY (`room_lesson_id`) REFERENCES `room_lessons` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- Data exporting was unselected.


-- Dumping structure for table test1.news
DROP TABLE IF EXISTS `news`;
CREATE TABLE IF NOT EXISTS `news` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `date` date NOT NULL,
  `title` varchar(250) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.parents
DROP TABLE IF EXISTS `parents`;
CREATE TABLE IF NOT EXISTS `parents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `personal_code` int(10) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `familly` varchar(30) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` varchar(100) NOT NULL,
  `mobile` varchar(15) DEFAULT NULL,
  `home_phone` varchar(50) DEFAULT NULL,
  `picture` longtext,
  `tahsilat` varchar(50) DEFAULT NULL,
  `ozviat_anjoman` varchar(50) DEFAULT NULL,
  `work_phone` varchar(50) DEFAULT NULL,
  `birth_date` varchar(50) DEFAULT NULL,
  `want_to_anjoman` varchar(50) DEFAULT NULL,
  `mother_name_familly` varchar(50) DEFAULT NULL,
  `mother_mobile` varchar(50) DEFAULT NULL,
  `mother_sabeghe` varchar(50) DEFAULT NULL,
  `mother_tahsilat` varchar(50) DEFAULT NULL,
  `mother_work_phone` varchar(50) DEFAULT NULL,
  `mother_email` varchar(50) DEFAULT NULL,
  `mother_birth_date` varchar(50) DEFAULT NULL,
  `mother_ozviat` varchar(50) DEFAULT NULL,
  `maskan` varchar(50) DEFAULT NULL,
  `home_adress` varchar(50) DEFAULT NULL,
  `postal_code` varchar(50) DEFAULT NULL,
  `payed_fish` varchar(50) DEFAULT NULL,
  `descriptions` text,
  PRIMARY KEY (`personal_code`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.rooms_shahrieh
DROP TABLE IF EXISTS `rooms_shahrieh`;
CREATE TABLE IF NOT EXISTS `rooms_shahrieh` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `room_code` int(10) unsigned NOT NULL DEFAULT '0',
  `shahrie` decimal(13,0) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.room_lessons
DROP TABLE IF EXISTS `room_lessons`;
CREATE TABLE IF NOT EXISTS `room_lessons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lesson_code` int(10) unsigned NOT NULL,
  `teacher_code` int(10) unsigned NOT NULL,
  `room_code` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_room_lessons_lessons` (`lesson_code`),
  KEY `FK_room_lessons_teachers` (`teacher_code`),
  KEY `FK_room_lessons_class_rooms` (`room_code`),
  CONSTRAINT `FK_room_lessons_class_rooms` FOREIGN KEY (`room_code`) REFERENCES `class_rooms` (`class_code`),
  CONSTRAINT `FK_room_lessons_lessons` FOREIGN KEY (`lesson_code`) REFERENCES `lessons` (`code`),
  CONSTRAINT `FK_room_lessons_teachers` FOREIGN KEY (`teacher_code`) REFERENCES `teachers` (`personal_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.sales
DROP TABLE IF EXISTS `sales`;
CREATE TABLE IF NOT EXISTS `sales` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(200) COLLATE utf8_persian_ci NOT NULL,
  `full_name` varchar(50) COLLATE utf8_persian_ci DEFAULT NULL,
  `email` varchar(50) COLLATE utf8_persian_ci DEFAULT NULL,
  `mobile` decimal(12,0) DEFAULT NULL,
  `RefId` varchar(200) COLLATE utf8_persian_ci NOT NULL,
  `title` varchar(100) COLLATE utf8_persian_ci NOT NULL,
  `amount` bigint(20) unsigned NOT NULL,
  `ip` varchar(20) COLLATE utf8_persian_ci NOT NULL,
  `sale_time_stamp` decimal(20,0) NOT NULL,
  `descriptions` varchar(1000) COLLATE utf8_persian_ci NOT NULL,
  `saleOrderId` int(10) unsigned DEFAULT NULL,
  `ResCode` int(10) unsigned DEFAULT NULL,
  `SaleReferenceId` bigint(20) unsigned DEFAULT NULL,
  `pay_status` tinyint(4) NOT NULL DEFAULT '-1',
  `string_time` varchar(200) COLLATE utf8_persian_ci DEFAULT NULL,
  `cancelled` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- Data exporting was unselected.


-- Dumping structure for table test1.sms_list
DROP TABLE IF EXISTS `sms_list`;
CREATE TABLE IF NOT EXISTS `sms_list` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `from` varchar(20) NOT NULL,
  `to` varchar(20) NOT NULL,
  `date_time` datetime NOT NULL,
  `text` text NOT NULL,
  `time_stamp` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.students
DROP TABLE IF EXISTS `students`;
CREATE TABLE IF NOT EXISTS `students` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `personal_code` bigint(20) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `familly` varchar(30) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` varchar(100) NOT NULL,
  `mobile` varchar(15) DEFAULT NULL,
  `room_code` int(10) unsigned DEFAULT NULL,
  `parent_code` int(10) unsigned DEFAULT NULL,
  `picture` longtext,
  `shenasname` varchar(50) DEFAULT NULL,
  `serial_shenasname` varchar(10) DEFAULT NULL,
  `mahalle_sodor` varchar(20) DEFAULT NULL,
  `birthdate` varchar(20) DEFAULT NULL,
  `paye` varchar(50) DEFAULT NULL,
  `reshte` varchar(50) DEFAULT NULL,
  `school_type` varchar(50) DEFAULT NULL,
  `school_name` varchar(50) DEFAULT NULL,
  `school_adress` varchar(200) DEFAULT NULL,
  `last_avg` varchar(50) DEFAULT NULL,
  `enzebat` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`personal_code`),
  UNIQUE KEY `id` (`id`),
  KEY `FK_students_class_rooms` (`room_code`),
  KEY `FK_students_parents` (`parent_code`),
  CONSTRAINT `FK_students_class_rooms` FOREIGN KEY (`room_code`) REFERENCES `class_rooms` (`class_code`),
  CONSTRAINT `FK_students_parents` FOREIGN KEY (`parent_code`) REFERENCES `parents` (`personal_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table test1.teachers
DROP TABLE IF EXISTS `teachers`;
CREATE TABLE IF NOT EXISTS `teachers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `personal_code` int(10) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `familly` varchar(30) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` varchar(100) NOT NULL,
  `mobile` varchar(15) DEFAULT NULL,
  `fild` varchar(40) DEFAULT NULL,
  `maghta` varchar(40) DEFAULT NULL,
  `picture` longtext,
  PRIMARY KEY (`personal_code`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.
/*!40014 SET FOREIGN_KEY_CHECKS=1 */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
